
D4Science Infrastructure - Task #6297

Smaph webapp: Nagios check fails

Jan 04, 2017 12:37 PM - Roberto Cirillo

Status: Closed Start date: Jan 04, 2017

Priority: High Due date:  

Assignee: Marco Cornolti % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The nagios check fails on smaph webapp.

I've tried to restart the container but I don't know if this solve the issue.

The next check is scheduled at: 13:22:07

Please could you check the app?

Related issues:

Related to D4Science Infrastructure - Task #6248: Provide an url for checking... Closed Dec 16, 2016

History

#1 - Jan 04, 2017 02:53 PM - Roberto Cirillo

- Related to Task #6248: Provide an url for checking the Smaph app added

#2 - Jan 05, 2017 12:47 PM - Roberto Cirillo

- Tracker changed from Incident to Task

- Priority changed from Normal to High

Most probably the problem is due to the following error:

 Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/tag/tag?lang=en&method=base&eps

ilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=false&useTagger=false&useContext=

false

 This problem is due to an external application. I'm going to change this tracker to Task

#3 - Jan 06, 2017 12:58 PM - Marco Cornolti

Hi, yes the service is currently dependent on another service (wikisense) hosted by ITC @ UNIPI. It went down. I am working with the sysadmins to

bring it back online.

We will remove this cross-service dependence in the next few months. 

#4 - Jan 06, 2017 02:44 PM - Marco Cornolti

Should be working now.

#5 - Jan 07, 2017 07:34 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

It's working.

#6 - Jan 30, 2017 10:08 AM - Roberto Cirillo

- Status changed from Closed to In Progress

The problem is once again there

#7 - Jan 30, 2017 10:08 AM - Roberto Cirillo
- % Done changed from 100 to 0

#8 - Jan 30, 2017 11:55 AM - Marco Cornolti

- % Done changed from 0 to 90

Hi, the ITC@UNIPI suffered from another black-out yesterday. The service is up again and the Nagios checks should be positive.

#9 - Jun 29, 2017 04:36 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
